# signMessage()

**Method Signature:**

```dart
String signMessage(String plainMessage, String privateKey);
```

**Parameters**

| Name         | Type   | Description                                                         |
| ------------ | ------ | ------------------------------------------------------------------- |
| plainMessage | String | Message that you want to sign. In transactions it must be the TxID. |
| privateKey   | String | Private key in hexadecimal format.                                  |

**Example**

```dart
import 'package:circular_api/circular_api.dart';

void main() {
  final circular = CircularAPI();

  final privateKey = "0x248ea24763f3aeb2590114257b0b95ebc8fc40e287574aa25379bb24c6d661ec";
  final message = "Hello, World!";
  
  final signedMessage = circular.signMessage(message, privateKey);
  print(signedMessage);
}
```

**Result**

The result will be a String object:

```bash
6aa65e46e2db7fe30c7ea68c931e26f1a97f60f35745b25b1baec250f62432e670b0267dd7e3d78e02e5dc6fc2db0aa720d6db617b9cb251403aec5aec03e582
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://circular-protocol.gitbook.io/standard-apis/api-docs/dart/signmessage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
